list.linkedlist

## Class StackLinkedList

- java.lang.Object
- - list.listinterface.BaseList
  - - list.linkedlist.BaseLinkedList
    - - list.linkedlist.StackLinkedList

- All Implemented Interfaces:
    BaseListInterface, CommonBase, StackList

      class StackLinkedList
      extends BaseLinkedList
      implements StackList

  Implementace zásobníkového seznamu.

  Popis: implememtuje zásobník pomocí seznamu BaseLinkedList.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    - ### Fields inherited from class list.linkedlist.BaseLinkedList

      `first`

    - ### Fields inherited from class list.listinterface.BaseList

      `moveCounter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackLinkedList(int aSize)` Vyrobí spojový seznam vhodný k implementaci zásobníku.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insert(Element elem)` Vloží elem před běžný prvek.

    - ### Methods inherited from class list.linkedlist.BaseLinkedList

      `getElement, getSize, isEmpty, moveFirst, remove, setElement`

    - ### Methods inherited from class list.listinterface.BaseList

      `getMoveCounter, resetMoveCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface list.listinterface.BaseListInterface

      `getSize, moveFirst, remove`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Constructor Detail

    - #### StackLinkedList

          public StackLinkedList(int aSize)

      Vyrobí spojový seznam vhodný k implementaci zásobníku.
      Parameters:
        `aSize` - kapacita seznamu

  - ### Method Detail

    - #### insert

          public void insert(Element elem)

      Vloží elem před běžný prvek.

      Popis: uloží nový prvek do hlavy seznamu, protože hlava seznamu je vždy běžný prvek.

      Užití: typ parametru se řídí deklarací typu Element.

      Vyžaduje: not isFull

      Splní: not isEmpty

      Specified by:
        `insert` in interface `StackList`
      Parameters:
        `elem` - prvek, který má být uložen do hlavy seznamu